<mat-expansion-panel [expanded]="expanded" (keyup.enter)="applyFilter()">
  <mat-expansion-panel-header>
    <mat-panel-title>
      Filter
    </mat-panel-title>
  </mat-expansion-panel-header>

  <ng-content></ng-content>

  <mat-action-row>
    <button mat-button color="warn" (click)="resetDefaults()">Reset Defaults</button>
    <button mat-button color="primary" (click)="applyFilter()">Apply</button>
  </mat-action-row>
</mat-expansion-panel>
